Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- c : BigStruct, CHAR64LONG16, cls_struct_12byte, cls_struct_16byte1, cls_struct_16byte, cls_struct_18byte, cls_struct_19byte, cls_struct_20byte, cls_struct_24byte, cls_struct_3_1byte, cls_struct_4_1byte, cls_struct_5byte, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_align, cls_struct_combined, DateData, enum_sum_memo, large_tag, my_ffi_struct, OnigToken, sip_state, struct_108byte, struct_116byte, struct_72byte, value_type
- c1 : test_structure_5
- c2 : test_structure_5
- cache : mark_stack
- cache_size : mark_stack
- call : _Node, OnigToken, parser_params
- call_ : rb_callcache
- call_addr : EncloseNode
- call_data : rb_iseq_constant_body
- call_frame : _OnigStackType
- callable_m_tbl : rb_classext_struct
- callback : each_obj_args
- called_id : rb_callable_method_entry_struct, rb_method_entry_struct, rb_trace_arg_struct
- calling : rb_thread_struct
- canonname : rb_addrinfo_t
- capa : FBufferStruct, io_internal_read_struct, io_internal_write_struct, mapping_buffer, nkf_buf_t, RArray, rb_class_cc_entries, rb_fdset_t, rb_id_table, RString, StrNode, vtable
- capture_history : re_pattern_buffer, ScanEnv
- captured : rb_block
- car : ConsAltNode
- case_fold_flag : OnigCompileInfo, OptEnv, re_pattern_buffer, ScanEnv
- case_labels : parser_params
- case_map : OnigEncodingTypeST
- catch_except_p : rb_iseq_constant_body
- catch_frame : vm_throw_data
- catch_table : rb_iseq_constant_body
- catch_table_ary : iseq_compile_data
- catch_type : iseq_catch_table_entry
- CATCH_TYPE_BREAK : iseq_catch_table_entry
- CATCH_TYPE_ENSURE : iseq_catch_table_entry
- CATCH_TYPE_NEXT : iseq_catch_table_entry
- CATCH_TYPE_REDO : iseq_catch_table_entry
- CATCH_TYPE_RESCUE : iseq_catch_table_entry
- CATCH_TYPE_RETRY : iseq_catch_table_entry
- categories : rofr_data
- categorize : chunk_arg
- category : root_objects_data
- cb : dh_blocking_gen_arg, dsa_blocking_gen_arg, npn_select_cb_common_args, obj_itr, rsa_blocking_gen_arg
- cbuf : rb_io_t
- cc : BigStruct, IApplyCaseFoldArg, rb_call_data, rb_calling_info, rb_class_cc_entries::rb_class_cc_entries_entry
- cc_entries : rb_mjit_unit
- cc_entries_size : rb_mjit_unit
- cc_tbl : rb_classext_struct
- cclass : _Node
- ccrc : log
- cdr : ConsAltNode
- central_dir : zip64_internal
- central_header : curfile64_info
- central_pos : unz64_s
- cfp : rb_debug_inspector_struct, rb_execution_context_struct, rb_trace_arg_struct
- cfunc : rb_backtrace_location_struct, rb_method_definition_struct
- chain : re_pattern_buffer
- char_len : AnchorNode, EncloseNode
- char_offset : rmatch
- char_offset_num_allocated : rmatch
- char_pos : pair_t
- chdir_dir : rb_execarg
- chdir_given : rb_execarg
- check : inflate_state, outd
- child : malloc_tree_chunk
- child_pid : pty_info
- children : branch_coverage_result_builder
- chksum : tar_header
- chomp : getline_arg
- chunk : mark_stack
- ci : rb_call_data, rb_calling_info, rb_class_cc_entries::rb_class_cc_entries_entry, zip64_internal
- ci_index : iseq_compile_data
- ci_size : rb_iseq_constant_body
- cif : callback_args, extended_cif, fiddle_closure, nogvl_ffi_call_args
- class_index : ibf_object_struct_range
- class_path : allocation_info
- class_serial : rb_iv_index_tbl_entry, RClass
- class_value : rb_iv_index_tbl_entry
- classname : ruby_dtrace_method_hook_args
- clen : cont_saved_vm_stack, log
- cloexec : run_exec_dup2_fd_pair
- close() : gzfilebuf, gzfilestream_common, gzifstream, gzofstream, izstream, ozstream
- close_dst : copy_stream_struct
- close_others_do : rb_execarg
- close_others_given : rb_execarg
- close_others_maxhint : rb_execarg
- close_src : copy_stream_struct
- cmd : rb_execarg, rb_vm_struct
- cmdarg_stack : parser_params
- cme : rb_class_cc_entries, rescue_funcall_args
- cme_ : rb_callcache
- cmp_opt : ary_sort_data, max_t, min_t, minmax_t
- cmpfunc : nmin_data
- cnode : autoload_const
- cnt : MEMO, rb_imemo_tmpbuf_struct, rb_ractor_queue, rb_ractor_struct, rb_ractor_waiting_list, rb_vm_struct
- code : ct_data_s, fiddle_closure, OnigCaseFoldCodeItem, OnigToken, rb_captured_block
- code_len : OnigCaseFoldCodeItem
- code_location : rb_iseq_location_struct
- code_pointer : aix_fd_struct
- code_to_mbc : OnigEncodingTypeST
- code_to_mbclen : OnigEncodingTypeST
- CodePage : myCPINFOEX
- CodePageName : myCPINFOEX
- codes : inflate_state
- column : rb_code_position_struct
- comm_max : gz_header_s
- command_abspath : rb_execarg
- command_name : rb_execarg
- command_start : parser_params
- comment : gz_header_s
- compact_count : rb_objspace
- compact_cursor : rb_heap_struct
- compact_cursor_index : rb_heap_struct
- compactor : rb_global_variable
- compare : st_hash_type
- compat_tbl : dump_arg, load_arg
- compile_data : rb_iseq_struct
- compile_info : rb_mjit_unit
- compile_option : parser_params, rb_ast_body_struct
- compiler : rb_builtin_function
- complemented_count : rb_method_definition_struct
- complex : RVALUE
- components : rb_memory_view_t
- compressed_size : unz_file_info64_s, unz_file_info_s
- compression_method : file_in_zip64_read_info_s, unz_file_info64_s, unz_file_info_s
- cond : native_thread_data_struct, rb_ractor_sync, wait_for_cond_data, waitpid_state
- cond_stack : parser_params
- connect_timeout : inetsock_arg
- cons : _Node
- considered_count_table : rb_objspace
- const_tbl : rb_classext_struct
- constants : autoload_data_i
- cont : iseq_catch_table_entry, rb_fiber_struct
- context : rb_fiber_struct
- contexts : rb_debug_inspector_struct
- Control : WSAMSG
- conv_tree_start : rb_transcoder
- copy : fstr_update_arg
- copy_length : copy_stream_struct
- count : _OnigStackType, add_option_arg, CRYPTO_dynlock_value, fiber_pool, fiber_pool_allocation, huffman, md5_state_s, rb_monitor, rb_objspace, ruby_glob_entries_t, SHA1_CTX, StringIO, timetick, wait_for_cond_data
- counter : dsa_blocking_gen_arg, rb_global_variable
- counters : branch_coverage_result_builder
- coverage : rb_iseq_constant_body
- coverage_enabled : rb_compile_option_struct
- coverage_mode : rb_vm_struct
- coverages : rb_vm_struct
- cr : receive_block_data
- cr_seen : parser_params
- crc : outd, unz_file_info64_s, unz_file_info_s
- crc32 : curfile64_info, file_in_zip64_read_info_s
- crc32_wait : file_in_zip64_read_info_s
- create_additions : JSON_ParserStruct
- create_id : JSON_ParserStruct
- cref : rb_method_iseq_struct, RVALUE
- cref_or_me : vm_svar
- crypt_header_size : curfile64_info
- cryptresult : crypt_data
- ctx : callback_args
- ctx_size : rb_digest_metadata_t
- ctxt : parser_params, YYSTYPE
- ctype : _Node, CtypeNode, OnigToken, PosixBracketEntryType
- cur_arg : parser_params
- cur_file_info : unz64_s
- cur_file_info_internal : unz64_s
- cur_obj : dump_config
- cur_obj_klass : dump_config
- cur_obj_references : dump_config
- curlen : nmin_data
- curr : DIR, strscanner
- current : arith_seq_gen, fiber_pool_stack, local_vars
- current_block : iseq_compile_data
- current_buffer : ibf_dump, ibf_load
- current_file : argf
- current_file_ok : unz64_s
- current_record : rb_objspace
- curstate : cparse_params
- cwday : tmx_funcs
- cweek : tmx_funcs
- cwyear : tmx_funcs